Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInteractorStyleImage Class Reference

`#include <vtkInteractorStyleImage.h>`

Inheritance diagram for vtkInteractorStyleImage:

[legend]
Collaboration diagram for vtkInteractorStyleImage:

[legend]
List of all members.

## Detailed Description

interactive manipulation of the camera specialized for images

Date:
  2002/05/01 04:56:53

Revision:
  1.14

vtkInteractorStyleImage allows the user to interactively manipulate (rotate, pan, zoomm etc.) the camera. vtkInteractorStyleImage is specially designed to work with images that are being rendered with vtkImageActor. Several events are overloaded from its superclass vtkInteractorStyle, hence the mouse bindings are different. (The bindings keep the camera's view plane normal perpendicular to the x-y plane.) In summary the mouse events are as follows: + Left Mouse button triggers window level events + CTRL Left Mouse spins the camera around its view plane normal + SHIFT Left Mouse pans the camera + CTRL SHIFT Left Mouse dollys (a positional zoom) the camera + Middle mouse button pans the camera + Right mouse button dollys the camera. + SHIFT Right Mouse triggers pick events

Note that the renderer's actors are not moved; instead the camera is moved.

See also:
  vtkInteractorStyle vtkInteractorStyleTrackballActor vtkInteractorStyleJoystickCamera vtkInteractorStyleJoystickActor

Events:
  vtkCommand::ResetWindowLevelEvent vtkCommand::InteractionEvent vtkCommand::EndPickEvent vtkCommand::PickEvent vtkCommand::WindowLevelEvent vtkCommand::StartPickEvent vtkCommand::EndWindowLevelEvent vtkCommand::StartWindowLevelEvent

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Barre, Sebastien (57%)
  - Martin, Ken (30%)
  - Schroeder, Will (8%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkInteractorStyleImage.cxx)`
  - .`h` (`/Rendering/vtkInteractorStyleImage.h)`

Examples:
  vtkInteractorStyleImage (Examples)

Definition at line 72 of file vtkInteractorStyleImage.h.

## Public Types
typedef vtkInteractorStyleTrackballCamera | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | OnChar ()
virtual void | WindowLevel ()
virtual void | Pick ()
virtual void | StartWindowLevel ()
virtual void | EndWindowLevel ()
virtual void | StartPick ()
virtual void | EndPick ()
virtual int * | GetWindowLevelStartPosition ()
virtual void | GetWindowLevelStartPosition (int &, int &)
virtual void | GetWindowLevelStartPosition (int[2])
virtual int * | GetWindowLevelCurrentPosition ()
virtual void | GetWindowLevelCurrentPosition (int &, int &)
virtual void | GetWindowLevelCurrentPosition (int[2])
virtual void | OnMouseMove ()
virtual void | OnLeftButtonDown ()
virtual void | OnLeftButtonUp ()
virtual void | OnRightButtonDown ()
virtual void | OnRightButtonUp ()
## Static Public Methods
vtkInteractorStyleImage * | New ()
int | IsTypeOf (const char *type)
vtkInteractorStyleImage * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkInteractorStyleImage ()
| ~vtkInteractorStyleImage ()
## Protected Attributes
int | WindowLevelStartPosition [2]
int | WindowLevelCurrentPosition [2]

## Member Typedef Documentation

typedef vtkInteractorStyleTrackballCamera vtkInteractorStyleImage::Superclass

| Reimplemented from vtkInteractorStyleTrackballCamera. Definition at line 76 of file vtkInteractorStyleImage.h.

## Constructor & Destructor Documentation

vtkInteractorStyleImage::vtkInteractorStyleImage | ( |  | ) | `[protected]`

vtkInteractorStyleImage::~vtkInteractorStyleImage | ( |  | ) | `[protected]`

## Member Function Documentation

vtkInteractorStyleImage* vtkInteractorStyleImage::New | ( |  | ) | `[static]`

| This class must be supplied with a vtkRenderWindowInteractor wrapper or parent. This class should not normally be instantiated by application programmers. Reimplemented from vtkInteractorStyleTrackballCamera.

virtual const char* vtkInteractorStyleImage::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkInteractorStyleTrackballCamera.

int vtkInteractorStyleImage::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyleTrackballCamera.

virtual int vtkInteractorStyleImage::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyleTrackballCamera.

vtkInteractorStyleImage* vtkInteractorStyleImage::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkInteractorStyleTrackballCamera.

void vtkInteractorStyleImage::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkInteractorStyleTrackballCamera.

virtual int* vtkInteractorStyleImage::GetWindowLevelStartPosition | ( |  | ) | `[virtual]`

| Some useful information for handling window level

virtual void vtkInteractorStyleImage::GetWindowLevelStartPosition | ( | int & | ,
|  | int & |
| ) | `[virtual]`

| Some useful information for handling window level

virtual void vtkInteractorStyleImage::GetWindowLevelStartPosition | ( | int | [2] | ) | `[virtual]`

| Some useful information for handling window level

virtual int* vtkInteractorStyleImage::GetWindowLevelCurrentPosition | ( |  | ) | `[virtual]`

| Some useful information for handling window level

virtual void vtkInteractorStyleImage::GetWindowLevelCurrentPosition | ( | int & | ,
|  | int & |
| ) | `[virtual]`

| Some useful information for handling window level

virtual void vtkInteractorStyleImage::GetWindowLevelCurrentPosition | ( | int | [2] | ) | `[virtual]`

| Some useful information for handling window level

virtual void vtkInteractorStyleImage::OnMouseMove | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyleTrackballCamera.

virtual void vtkInteractorStyleImage::OnLeftButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyleTrackballCamera.

virtual void vtkInteractorStyleImage::OnLeftButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyleTrackballCamera.

virtual void vtkInteractorStyleImage::OnRightButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyleTrackballCamera.

virtual void vtkInteractorStyleImage::OnRightButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyleTrackballCamera.

virtual void vtkInteractorStyleImage::OnChar | ( |  | ) | `[virtual]`

| Override the "fly-to" (f keypress) for images. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleImage::WindowLevel | ( |  | ) | `[virtual]`

virtual void vtkInteractorStyleImage::Pick | ( |  | ) | `[virtual]`

virtual void vtkInteractorStyleImage::StartWindowLevel | ( |  | ) | `[virtual]`

virtual void vtkInteractorStyleImage::EndWindowLevel | ( |  | ) | `[virtual]`

virtual void vtkInteractorStyleImage::StartPick | ( |  | ) | `[virtual]`

virtual void vtkInteractorStyleImage::EndPick | ( |  | ) | `[virtual]`

## Member Data Documentation

int vtkInteractorStyleImage::WindowLevelStartPosition[2]`[protected]`

| Definition at line 115 of file vtkInteractorStyleImage.h.

int vtkInteractorStyleImage::WindowLevelCurrentPosition[2]`[protected]`

| Definition at line 116 of file vtkInteractorStyleImage.h.

The documentation for this class was generated from the following file:

- Rendering/vtkInteractorStyleImage.h